package solitaire;

import java.util.List;

enum Suit {
    CLUBS("♣", false), DIAMONDS("♦", true), HEARTS("♥", true), SPADES("♠", false);

    static final List<Suit> SUITS = List.of(Suit.values());

    private final String symbol;
    private final boolean red;

    Suit(String symbol, boolean red) {
	this.symbol = symbol;
	this.red = red;
    }

    @Override
    public String toString() {
	return symbol;
    }

    boolean isBlack() {
	return !red;
    }

    boolean isRed() {
	return red;
    }
}
